@import url("https://fonts.googleapis.com/css2?family=Belleza&family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

.img-container {
  position: absolute;
  top: 50%;
  text-align: center;
  transform: translate(0, -50%);
  width: 100%;
  padding: 80px 60px;
  padding-bottom: 100px;
  box-sizing: border-box;
}

.img-container .box {
  position: relative;
  display: inline-block;
  margin: 10px;
  width: 100%;
  height: 450px;
  background: #262626;
  overflow: hidden;
}

.img-container .box img {
  position: relative;
  width: 100%;
  height: 100%;
  transition: 5s;
}

.img-container .box:hover img {
  transform: scale(2);
}

.img-container .box::before,
.container .box::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 10px;
  right: 10px;
  bottom: 10px;
  transition: 1s;
  z-index: 2;
}

.img-container .box::before {
  transform: scale(1, 0);
  border-left: 1px solid #fff;
  border-right: 1px solid #fff;
}

.img-container .box::after {
  transform: scale(0, 1);
  border-top: 1px solid #fff;
  border-bottom: 1px solid #fff;
}

.img-container .box:hover::before,
.container .box:hover::after {
  transform: scale(1, 1);
}

.img-container .box .content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 1s;
}

.img-container .box:hover .content {
  background: rgba(0, 0, 0, 0.7);
}

.img-container .box .content .wrap {
  box-sizing: border-box;
  padding: 20px;
  color: #fff;
  z-index: 3;
}

.img-container .box .content .wrap h1 {
  position: relative;
  font-size: 20px;
  margin-bottom: 10px;
  transform: translateY(-80px);
  opacity: 0;
  transition: 1s;
}

.img-container .box:hover .content .wrap h1 {
  transform: translateY(0);
  opacity: 1;
}

.img-container .box .content .wrap p {
  position: relative;
  font-size: 15px;
  transform: translateY(170px);
  opacity: 0;
  transition: 0.5s;
}

.img-container .box:hover .content .wrap p {
  transform: translateY(0px);
  opacity: 1;
}

.img-link {
  text-decoration: none;

}

/* Main Rotation */
[type="radio"] {
  display: none;
}

#slider {
  height: 35vw;
  position: relative;
  perspective: 1000px;
  transform-style: preserve-3d;
}

#slider label {
  margin: auto;
  width: 60%;
  height: 100%;
  border-radius: 4px;
  position: absolute;
  left: 0;
  right: 0;
  transition: transform 0.4s ease;
}

#s1:checked~#slide4,
#s2:checked~#slide5,
#s3:checked~#slide1,
#s4:checked~#slide2,
#s5:checked~#slide3 {
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.37);
  transform: translate3d(-30%, 0, -200px);
}

#s1:checked~#slide5,
#s2:checked~#slide1,
#s3:checked~#slide2,
#s4:checked~#slide3,
#s5:checked~#slide4 {
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.3), 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  transform: translate3d(-15%, 0, -100px);
}

#s1:checked~#slide1,
#s2:checked~#slide2,
#s3:checked~#slide3,
#s4:checked~#slide4,
#s5:checked~#slide5 {
  box-shadow: 0 13px 25px 0 rgba(0, 0, 0, 0.3), 0 11px 7px 0 rgba(0, 0, 0, 0.19);
  transform: translate3d(0, 0, 0);
}

#s1:checked~#slide2,
#s2:checked~#slide3,
#s3:checked~#slide4,
#s4:checked~#slide5,
#s5:checked~#slide1 {
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.3), 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  transform: translate3d(15%, 0, -100px);
}

#s1:checked~#slide3,
#s2:checked~#slide4,
#s3:checked~#slide5,
#s4:checked~#slide1,
#s5:checked~#slide2 {
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.37);
  transform: translate3d(30%, 0, -200px);
}

@media (max-width: 600px) {
  .gallery label img {
    transform: scale(1, 1.2);
  }

  .gallery {
    padding-top: 40px;
    padding-bottom: 100px;
  }

  .img-container .box {
    height: 300px;
  }

  .gallery .H1 {
    padding-bottom: 40px;
  }
}